# Yahoo! UI Library

### animation 2.8.2r1

Yahoo! UI Library > animation > YAHOO.util.Motion
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.util.Motion - extends YAHOO.util.ColorAnim

Anim subclass for moving elements along a path defined by the "points" member of "attributes". All "points" are arrays with x, y coordinates.

Usage: `var myAnim = new YAHOO.util.Motion(el, { points: { to: [800, 800] } }, 1, YAHOO.util.Easing.easeOut);`

### Constructor

YAHOO.util.Motion `( el , attributes , duration , method )`

Parameters:
  `el <String | HTMLElement>` Reference to the element that will be animated
  `attributes <Object>` The attribute(s) to be animated. Each attribute is an object with at minimum a "to" or "by" member defined. Additional optional members are "from" (defaults to current value), "units" (defaults to "px"). All attribute names use camelCase.
  `duration <Number>` (optional, defaults to 1 second) Length of animation (frames or seconds), defaults to time-based
  `method <Function>` (optional, defaults to YAHOO.util.Easing.easeNone) Computes the values that are applied to the attributes per frame (generally a YAHOO.util.Easing method)

#### Properties inherited from YAHOO.util.Anim:

`_onComplete, _onStart, _onTween, actualFrames, attributes, currentFrame, duration, el, isAnimated, method, startTime, totalFrames, useSeconds`

#### Methods inherited from YAHOO.util.Anim:

`animate, doMethod, getAttribute, getDefaultUnit, getEl, getStartTime, init, isAnimated, onTween, setAttribute, setEl, setRuntimeAttribute, stop, toString`

#### Methods inherited from YAHOO.util.ColorAnim:

`parseColor`

#### Events inherited from YAHOO.util.Anim:

`onComplete, onStart, onTween,`

Copyright © 2010 Yahoo! Inc. All rights reserved.